<template>
    <syTracePage @navigate="$router.push" @search-hash="searchHash"></syTracePage>
</template>
<script lang="ts" setup>
import { globalState } from "@/store/state";
import { syTracePage } from "cqk-sy-ui"

const searchHash = (hashText: string) => {
    if (hashText.trim() === "") {
        window.open(globalState.urlList.chain_browser_url);
    } else {
        window.open(
            globalState.urlList.chain_browser_url +
            "/product?hash=" +
            hashText
        );
    }
}


</script>